Name:           openldap-rpm-macros
Version:        1
Release:        1%{?dist}
Summary:        RPM macros to enable openldap-servers subpackage
 
License:        ASL 2.0
URL:            https://www.openldap.org
 
BuildArch:      noarch
Provides:       openldap-macros = %{version}-%{release}
 
%description
%{summary}.
RHEL9 ships without openldap-servers. This macro enables openldap-servers in buildroot.
 
%prep
%autosetup -c -D -T
 
%build
 
%install
mkdir -p %{buildroot}/%{_rpmconfigdir}/macros.d/
echo '%_with_servers 1' > %{buildroot}/%{_rpmconfigdir}/macros.d/macros.openldap
 
%files
%{_rpmconfigdir}/macros.d/macros.openldap
 
%changelog
* Wed Dec 15 2021 Viktor Ashirov <vashirov@redhat.com> - 1-1
- Initial package

